# PThreadMain Class Reference

Define some templates to simplify the declaration of simple `PThread` descendants with one or two paramaters. More...

`#include <thread.h>`

Inheritance diagram for PThreadMain:

List of all members.

## Public Types

typedef void(*) | FnType ()

## Public Member Functions

| PThreadMain (FnType function, bool autoDel=false)
| PThreadMain (const char *file, int line, FnType function, bool autoDel=false)
virtual void | Main ()
| User override function for the main execution routine of the thread.

## Protected Attributes

FnType | m_function

## Detailed Description

Define some templates to simplify the declaration of simple `PThread` descendants with one or two paramaters.

## Member Typedef Documentation

typedef void(*) PThreadMain::FnType()

## Constructor & Destructor Documentation

PThreadMain::PThreadMain | ( | FnType | function,
|  | bool | autoDel = `false` |
| ) |  |  | `[inline]`

PThreadMain::PThreadMain | ( | const char * | file,
|  | int | line,
|  | FnType | function,
|  | bool | autoDel = `false` |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual void PThreadMain::Main | ( |  | ) | `[inline, virtual]`

User override function for the main execution routine of the thread.

A descendent class must provide the code that will be executed in the thread within this function.

Note that the correct way for a thread to terminate is to return from this function.

Implements PThread.

## Member Data Documentation

FnType PThreadMain::m_function `[protected]`

The documentation for this class was generated from the following file:

- thread.h